Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcts.operation
Class WCTSGetCapabilitiesDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.owscommon_1_1_0.operations.GetCapabilitiesDocument
              org.deegree.ogcwebservices.wcts.operation.WCTSGetCapabilitiesDocument

All Implemented Interfaces:
  Serializable

    public class WCTSGetCapabilitiesDocument

extends GetCapabilitiesDocument

`WCTSGetCapabilitiesDocument` parses the xml-dom representation of a GetCapabilites request.

Version:
  $Revision:$, $Date:$
Author:
  Rutger Bezema, last edited by: $Author:$
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`WCTSGetCapabilitiesDocument(String id, Element requestRoot)`

Method Summary
`WCTSGetCapabilities` | `getGetCapabilities()`

Methods inherited from class org.deegree.owscommon_1_1_0.operations.GetCapabilitiesDocument
`parseAcceptFormats, parseAcceptVersions, parseSections, parseUpdateSequence`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WCTSGetCapabilitiesDocument

    public WCTSGetCapabilitiesDocument(String id,
                                       Element requestRoot)
                                throws OGCWebServiceException

Parameters:
  `id` - of the request
  `requestRoot` - the GetCapabilities request root element.
Throws:
  `OGCWebServiceException` - if the requestRoot is `null`

Method Detail

### getGetCapabilities

    public final WCTSGetCapabilities getGetCapabilities()

  Returns:
    the getCapabilities request bean.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org